# $Revision: 1.27 $, $Date: 2010/11/12 23:38:11 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	GMP
Summary:	Math::GMP Perl module - high speed arbitrary size integer math
Summary(pl.UTF-8):	Moduł Perla Math::GMP - szybka arytmetyka liczb całkowitych o dowolnym rozmiarze
Name:		perl-Math-GMP
Version:	2.06
Release:	4
License:	LGPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0ead0cd7d7ec1076c6d5a5fbe81b91a3
URL:		http://search.cpan.org/dist/Math-GMP/
BuildRequires:	gmp-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::GMP gives you access to the fast GMP library for fast big
integer math.

%description -l pl.UTF-8
Math::GMP daje dostęp do szybkiej biblioteki GMP dla szybkich
obliczeń na dużych liczbach całkowitych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%ifarch %{x8664} alpha ia64 ppc64 s390x sparc64
# original reference values expect 32-bit long
%{__perl} -pi -e 's/^\+9999999999(9*):[0-9]+$/+9999999999$1:9999999999$1/' t/gmppm.t
%endif

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README
%{perl_vendorarch}/Math/GMP.pm
%dir %{perl_vendorarch}/auto/Math/GMP
%{perl_vendorarch}/auto/Math/GMP/GMP.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Math/GMP/GMP.so
%{perl_vendorarch}/auto/Math/GMP/autosplit.ix
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-GMP.spec,v $
Revision 1.27  2010/11/12 23:38:11  pawelz
- release 4

Revision 1.26  2010/06/06 08:39:06  arekm
- release 3

Revision 1.25  2010/03/29 07:09:03  arekm
- release 2

Revision 1.24  2009/10/21 11:27:45  amateja
- updated to 2.06

Revision 1.23  2009/08/26 11:14:38  amateja
- updated to 2.05

Revision 1.22  2008/03/24 16:07:52  qboosh
- generic URL

Revision 1.21  2008-03-02 21:20:04  radek
- release 3

Revision 1.20  2008-02-10 12:15:00  arekm
- rel 2

Revision 1.19  2008-01-10 08:38:39  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.18  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.16  2005/05/11 14:32:23  qboosh
- updated 64-bit archs list

Revision 1.15  2004/12/01 17:52:25  radek
- autoupdated to 2.04

Revision 1.14  2004/11/03 22:30:34  paladine
- formatting

Revision 1.13  2004/06/05 18:10:44  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.12  2004/05/09 22:10:23  qboosh
- hack test results on 64-bit archs; release 3

Revision 1.11  2004/05/06 18:20:39  ankry
- fixed perl-devel BR

Revision 1.10  2004/04/20 23:59:37  ankry
- ported to new bconds

Revision 1.9  2004/04/14 21:16:31  ankry
- cosmetics, unification

Revision 1.8  2003/08/18 08:08:59  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:49  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 20:21:14  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:41:01  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:36:41  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/12/05 21:29:42  qboosh
- new
